com.holonplatform.vaadin.flow.components.builders

## Interface DateTimeInputConfigurator<C extends DateTimeInputConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Superinterfaces:
    BaseTemporalInputConfigurator<Date,C>, ComponentConfigurator<C>, DeferrableLocalizationConfigurator<C>, FocusableConfigurator<com.vaadin.flow.component.Component,C>, HasDeferrableLocalization, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasLabelConfigurator<C>, HasPlaceholderConfigurator<C>, HasSizeConfigurator<C>, HasStyleConfigurator<C>, HasTimeInputConfigurator<C>, InputConfigurator<Date,ValueHolder.ValueChangeEvent<Date>,C>, InputValueConfigurator<Date,ValueHolder.ValueChangeEvent<Date>,C>
  All Known Subinterfaces:
    DateTimeInputBuilder, ValidatableDateTimeInputBuilder

      public interface DateTimeInputConfigurator<C extends DateTimeInputConfigurator<C>>
      extends BaseTemporalInputConfigurator<Date,C>, HasTimeInputConfigurator<C>

  `Date` with time type `Input` components configurator.
  Since:
    5.2.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseTemporalInputConfigurator

      `BaseTemporalInputConfigurator.CalendarLocalization, BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C extends BaseTemporalInputConfigurator<D,C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `timeZone(ZoneId zone)` Set the time zone id to use.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseTemporalInputConfigurator

      `initialPosition, locale, localization, localization, max, min, updateLocaleOnAttach, weekNumbersVisible`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTimeInputConfigurator

      `spacing, timeInputWidth, timeStep`

- - ### Method Detail

    - #### timeZone

          C timeZone(ZoneId zone)

      Set the time zone id to use.

      If not set, the system default time zone is used.

      Parameters:
        `zone` - the time zone id to use
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.